<div id="academy-courses" class="page-layout simple">

    <!-- HEADER -->
    <div class="header accent p-16 p-sm-24" fxLayout="column" fxLayoutAlign="center center">

        <div class="hero-text">
            <mat-icon class="hero-icon">school</mat-icon>
            <h1 [@animate]="{value:'*',params:{delay:'100ms', y:'25px'}}">
               Liste des rendez-vous
            </h1>
        
        </div>

    </div>
    <!-- / HEADER -->

    <!-- CONTENT -->
    <div class="content p-24">

        <div fxLayout="column" fxLayoutAlign="center">

            <div class="filters" fxLayout="column" fxLayoutAlign="center center"
                 fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">



            </div>

            <div class="courses" fxLayout="row wrap" fxLayoutAlign="center" [@animateStagger]="{value:'50'}">

                <div class="course" *ngFor="let course of rdvs" fxFlex="100" fxFlex.gt-xs="50"
                     fxFlex.gt-sm="100" >

                    <div class="course-content" fxLayout="column" fxFlex="1 1 auto">

                        <div class="header" fxLayout="row" fxLayoutAlign="center center"
                             [ngClass]="'web-bg'">

                            <div class="category" fxFlex fxLayoutAlign="center center">
                              <h2 style="color: white; ">Invitation</h2>
                            </div>

                        

                        </div>

                        <div class="content" fxLayout="column" fxLayoutAlign="center center" fxFlex="1 1 auto">
                            <div class="h1">{{course.sujet}}</div>
                            <div class="updated"> {{course.date| date:'longDate'}}</div>
                        </div>
                       
                        <div class="footer" fxLayout="row" fxLayoutAlign="center center">
                            <button mat-button color="accent" (click)="rrdvv(course._id)" *ngIf="avocat && course.etat === '0'">
                                Accepter
                            </button>
                            <button mat-button color="warn" *ngIf="avocat && course.etat === '0'">
                                Refuser
                            </button>
                            <button mat-button style="color: green;" (click)="go(course._id)">
Progression
                            </button>
                        </div>
                    </div>
                </div>

                <div class="no-courses" *ngIf="rdvs.length === undefined">
                    No courses found!
                </div>

            </div>

        </div>

    </div>
    <!-- / CONTENT -->

</div>
